{
	"name": "gistfs",
	"displayName": "GistPad",
	"description": "Manage your code snippets, notes, wikis and interactive samples using GitHub Gists and repositories.",
	"publisher": "vsls-contrib",
	"version": "0.1.12",
	"extensionKind": [
		"ui",
		"workspace"
	],
	"icon": "images/icon.png",
	"repository": {
		"type": "git",
		"url": "https://github.com/vsls-contrib/gistpad"
	},
	"bugs": {
		"url": "https://github.com/vsls-contrib/gistpad/issues"
	},
	"homepage": "https://github.com/vsls-contrib/gistpad#readme",
	"license": "ISC",
	"engines": {
		"vscode": "^1.48.0"
	},
	"categories": [
		"Other",
		"Snippets",
		"Visualization"
	],
	"keywords": [
		"github",
		"gist",
		"snippets",
		"wiki",
		"notes"
	],
	"activationEvents": [
		"*",
		"onFileSystem:repo",
		"onFileSystem:gist"
	],
	"main": "./out/prod/extension.js",
	"contributes": {
		"configuration": {
			"type": "object",
			"title": "GistPad",
			"properties": {
				"gistpad.apiUrl": {
					"default": "https://api.github.com",
					"type": "string",
					"description": "Specifies the GitHub server's API URL. By default, this points to GitHub.com, but it can be used to point at a GitHub Enterprise instance."
				},
				"gistpad.treeIcons": {
					"default": "true",
					"type": "boolean",
					"description": "Specifies whether to show the gist type icons in the gists tree."
				},
				"gistpad.comments.showThread": {
					"default": "whenNotEmpty",
					"type": "string",
					"enum": [
						"always",
						"never",
						"whenNotEmpty"
					],
					"description": "Specifies when to display the comment thread when you open a Gist file."
				},
				"gistpad.images.directoryName": {
					"default": "images",
					"type": "string",
					"description": "Specifies the name of the directory that pasted images are uploaded to."
				},
				"gistpad.images.markdownPasteFormat": {
					"default": "markdown",
					"enum": [
						"html",
						"markdown"
					],
					"description": "Specifies the markup format to use when pasting an image into a markdown gist file."
				},
				"gistpad.images.pasteType": {
					"default": "file",
					"enum": [
						"base64",
						"file"
					],
					"description": "Specifies the upload method to use when pasting an image into a gist file."
				},
				"gistpad.playgrounds.autoRun": {
					"default": "onEdit",
					"enum": [
						"onEdit",
						"onSave",
						"never"
					],
					"description": "Specifies when to automatically run the code for a playground."
				},
				"gistpad.playgrounds.autoSave": {
					"default": false,
					"type": "boolean",
					"description": "Specifies whether to automatically save your playground files (every 30s)."
				},
				"gistpad.playgrounds.includeMarkup": {
					"default": true,
					"type": "boolean",
					"description": "Specifies whether to include a markup file (index.html) when creating new web playgrounds."
				},
				"gistpad.playgrounds.includeScript": {
					"default": true,
					"type": "boolean",
					"description": "Specifies whether to include a script file (script.css) when creating new web playgrounds."
				},
				"gistpad.playgrounds.includeStylesheet": {
					"default": true,
					"type": "boolean",
					"description": "Specifies whether to include a stylesheet file (style.css) when creating new web playgrounds."
				},
				"gistpad.playgrounds.layout": {
					"default": "splitLeft",
					"enum": [
						"grid",
						"preview",
						"splitBottom",
						"splitLeft",
						"splitLeftTabbed",
						"splitRight",
						"splitRightTabbed",
						"splitTop"
					],
					"description": "Specifies how to layout the editor windows when opening a playground."
				},
				"gistpad.playgrounds.readmeBehavior": {
					"default": "previewHeader",
					"enum": [
						"none",
						"previewFooter",
						"previewHeader"
					],
					"description": "Specifies how the playground's readme content should be displayed."
				},
				"gistpad.playgrounds.markupLanguage": {
					"default": "html",
					"enum": [
						"html",
						"markdown",
						"pug"
					],
					"description": "Specifies the default markup language to use when creating new web playgrounds."
				},
				"gistpad.playgrounds.scriptLanguage": {
					"default": "javascript",
					"enum": [
						"javascript",
						"javascriptreact",
						"typescript",
						"typescriptreact"
					],
					"description": "Specifies the default scripting language to use when creating new web playgrounds."
				},
				"gistpad.playgrounds.stylesheetLanguage": {
					"default": "css",
					"enum": [
						"css",
						"less",
						"sass",
						"scss"
					],
					"description": "Specifies the default stylesheet language to use when creating new web playgrounds."
				},
				"gistpad.playgrounds.showConsole": {
					"default": false,
					"type": "boolean",
					"description": "Specifies whether to automatically show the console when opening a playground."
				},
				"gistpad.playgrounds.templateGalleries": {
					"default": [
						"web:basic",
						"web:languages",
						"web:libraries"
					],
					"type": "array",
					"items": {
						"anyOf": [
							{
								"type": "string",
								"enum": [
									"web:basic",
									"web:languages",
									"web:libraries"
								]
							},
							{
								"type": "string",
								"format": "uri"
							}
						]
					},
					"description": "Specifies one or more URLs that point of template galleries for creating playgrounds."
				},
				"gistpad.scratchNotes.directoryFormat": {
					"default": "",
					"type": "string",
					"description": "Specifies the moment.js format string to use when generating new scratch notes."
				},
				"gistpad.scratchNotes.fileFormat": {
					"default": "LL",
					"type": "string",
					"description": "Specifies the moment.js format string to use when generating new scratch notes."
				},
				"gistpad.scratchNotes.fileExtension": {
					"default": ".md",
					"type": "string",
					"description": "Specifies the file extension to use when generating new scratch notes."
				},
				"gistpad.scratchNotes.show": {
					"default": true,
					"type": "boolean",
					"description": "Specifies whether or not to display the scratch notes node in the gists tree view."
				},
				"gistpad.showcaseUrl": {
					"default": "https://aka.ms/gistpad-showcase",
					"type": "string",
					"description": "Specifies the URL of the showcase to display gists from."
				},
				"gistpad.wikis.daily.directoryName": {
					"default": "Daily",
					"type": "string",
					"description": "Specifies the name of the directory that daily pages are organized within."
				},
				"gistpad.wikis.daily.titleFormat": {
					"default": "LL",
					"type": "string",
					"description": "Specifies the date format (using Moment.js syntax) that is used to for the title of daily pages."
				}
			}
		},
		"commands": [
			{
				"command": "gistpad.addDirectoryFile",
				"title": "Add New File(s)",
				"category": "GistPad"
			},
			{
				"command": "gistpad.addFile",
				"title": "Add New File(s)",
				"category": "GistPad"
			},
			{
				"command": "gistpad.addFileToGist",
				"title": "Copy File to Gist",
				"category": "GistPad"
			},
			{
				"command": "gistpad.addGistComment",
				"title": "Add Comment",
				"enablement": "!commentIsEmpty"
			},
			{
				"command": "gistpad.addPlaygroundLibrary",
				"title": "Add Playground Library",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add-library.svg",
					"light": "images/light/add-library.svg"
				}
			},
			{
				"command": "gistpad.addRepositoryComment",
				"title": "Add Comment",
				"enablement": "!commentIsEmpty"
			},
			{
				"command": "gistpad.addRepositoryFile",
				"title": "Add New File",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add.svg",
					"light": "images/light/add.svg"
				}
			},
			{
				"command": "gistpad.addSelectionToGist",
				"title": "Add Selection to Gist",
				"category": "GistPad",
				"enablement": "editorHasSelection"
			},
			{
				"command": "gistpad.addWikiPage",
				"title": "Add Wiki Page",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add.svg",
					"light": "images/light/add.svg"
				}
			},
			{
				"command": "gistpad.changeGistDescription",
				"title": "Change Description",
				"category": "GistPad"
			},
			{
				"command": "gistpad.changePlaygroundLayout",
				"title": "Change Playground Layout",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/layout.svg",
					"light": "images/light/layout.svg"
				}
			},
			{
				"command": "gistpad.clearScratchNotes",
				"title": "Clear Scratch Notes",
				"category": "GistPad"
			},
			{
				"command": "gistpad.cloneManagedRepository",
				"title": "Clone Repository",
				"category": "GistPad"
			},
			{
				"command": "gistpad.cloneRepository",
				"title": "Clone Repository",
				"category": "GistPad"
			},
			{
				"command": "gistpad.copyFileContents",
				"title": "Copy File Contents",
				"category": "GistPad"
			},
			{
				"command": "gistpad.copyFileUrl",
				"title": "Copy GitHub URL",
				"category": "GistPad"
			},
			{
				"command": "gistpad.copyGistPadUrl",
				"title": "Copy GistPad URL"
			},
			{
				"command": "gistpad.copyGistUrl",
				"title": "Copy GitHub URL"
			},
			{
				"command": "gistpad.copyRepositoryFileUrl",
				"title": "Copy GitHub URL"
			},
			{
				"command": "gistpad.copyRepositoryUrl",
				"title": "Copy Repository URL"
			},
			{
				"command": "gistpad.deleteDirectory",
				"title": "Delete Directory",
				"category": "GistPad"
			},
			{
				"command": "gistpad.deleteFile",
				"title": "Delete File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.deleteGist",
				"title": "Delete Gist",
				"category": "GistPad"
			},
			{
				"command": "gistpad.deleteGistComment",
				"title": "Delete Comment",
				"category": "GistPad"
			},
			{
				"command": "gistpad.deleteRepositoryBranch",
				"title": "Delete Branch"
			},
			{
				"command": "gistpad.deleteRepositoryComment",
				"title": "Delete Comment"
			},
			{
				"command": "gistpad.deleteRepositoryFile",
				"title": "Delete File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.deleteRepository",
				"title": "Delete Repository"
			},
			{
				"command": "gistpad.duplicateRepositoryFile",
				"title": "Duplicate File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.duplicateDirectory",
				"title": "Duplicate Directory",
				"category": "GistPad"
			},
			{
				"command": "gistpad.duplicateFile",
				"title": "Duplicate File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.duplicateGist",
				"title": "Duplicate Gist",
				"category": "GistPad"
			},
			{
				"command": "gistpad.editGistComment",
				"title": "Edit Comment",
				"category": "GistPad"
			},
			{
				"command": "gistpad.editRepositoryComment",
				"title": "Edit Comment"
			},
			{
				"command": "gistpad.openRepository",
				"title": "Open Repository",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add.svg",
					"light": "images/light/add.svg"
				}
			},
			{
				"command": "gistpad.exportGistToCodePen",
				"title": "Export to CodePen",
				"category": "GistPad"
			},
			{
				"command": "gistpad.exportToRepo",
				"title": "Export to Repository",
				"category": "GistPad"
			},
			{
				"command": "gistpad.exportTour",
				"title": "Export Tour to Gist..."
			},
			{
				"command": "gistpad.followUser",
				"title": "Follow User",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/follow.svg",
					"light": "images/light/follow.svg"
				}
			},
			{
				"command": "gistpad.forkGist",
				"title": "Fork Gist",
				"category": "GistPad"
			},
			{
				"command": "gistpad.hideScratchNotes",
				"title": "Hide Scratch Notes",
				"category": "GistPad"
			},
			{
				"command": "gistpad.mergeRepositoryBranch",
				"title": "Merge Branch"
			},
			{
				"command": "gistpad.newGistLog",
				"title": "New GistLog",
				"category": "GistPad"
			},
			{
				"command": "gistpad.newPlayground",
				"title": "New Playground",
				"category": "GistPad"
			},
			{
				"command": "gistpad.newScratchNote",
				"title": "New Scratch Note",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add.svg",
					"light": "images/light/add.svg"
				}
			},
			{
				"command": "gistpad.newSecretPlayground",
				"title": "New Secret Playground",
				"category": "GistPad"
			},
			{
				"command": "gistpad.newPublicGist",
				"title": "New Gist",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add.svg",
					"light": "images/light/add.svg"
				}
			},
			{
				"command": "gistpad.newSecretGist",
				"title": "New Secret Gist",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/add-secret.svg",
					"light": "images/light/add-secret.svg"
				}
			},
			{
				"command": "gistpad.openGist",
				"title": "Open Gist",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/open.svg",
					"light": "images/light/open.svg"
				}
			},
			{
				"command": "gistpad.openGistFile",
				"title": "Open Gist File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistLogFeed",
				"title": "View Feed in GistLog",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistInBrowser",
				"title": "View Gist in GitHub",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistInBlocks",
				"title": "View Gist in Bl.ocks",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistInGistLog",
				"title": "View Gist in GistLog",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistInNbViewer",
				"title": "View Gist in NbViewer",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openGistWorkspace",
				"title": "Open Gist as Workspace",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openPlaygroundConsole",
				"title": "Open Playground Console",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/console.svg",
					"light": "images/light/console.svg"
				}
			},
			{
				"command": "gistpad.openPlaygroundDeveloperTools",
				"title": "Open Playground Dev Tools",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/dev-tools.svg",
					"light": "images/light/dev-tools.svg"
				}
			},
			{
				"command": "gistpad.openProfile",
				"title": "View Profile in GitHub",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openRepositoryFileInBrowser",
				"title": "View File in GitHub",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openRepositoryInBrowser",
				"title": "View Repository in GitHub",
				"category": "GistPad"
			},
			{
				"command": "gistpad.openTodayPage",
				"title": "Open Today Page",
				"category": "GistPad",
				"icon": "$(calendar)"
			},
			{
				"command": "gistpad.pasteGistFile",
				"title": "Paste Gist File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.pasteImage",
				"title": "Paste Image",
				"category": "GistPad"
			},
			{
				"command": "gistpad.recordCodeTour",
				"title": "Record CodeTour"
			},
			{
				"command": "gistpad.recordRepoCodeTour",
				"title": "Record CodeTour"
			},
			{
				"command": "gistpad.refreshGists",
				"title": "Refresh Gists",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/refresh.svg",
					"light": "images/light/refresh.svg"
				}
			},
			{
				"command": "gistpad.refreshRepositories",
				"title": "Refresh Repositories",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/refresh.svg",
					"light": "images/light/refresh.svg"
				}
			},
			{
				"command": "gistpad.refreshShowcase",
				"title": "Refresh Showcase",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/refresh.svg",
					"light": "images/light/refresh.svg"
				}
			},
			{
				"command": "gistpad.renameDirectory",
				"title": "Rename Directory",
				"category": "GistPad"
			},
			{
				"command": "gistpad.renameFile",
				"title": "Rename File",
				"category": "GistPad"
			},
			{
				"command": "gistpad.renameRepositoryFile",
				"title": "Rename File"
			},
			{
				"command": "gistpad.replyGistComment",
				"title": "Reply",
				"enablement": "!commentIsEmpty"
			},
			{
				"command": "gistpad.runPlayground",
				"title": "Run Playground",
				"category": "GistPad",
				"icon": {
					"dark": "images/dark/run.svg",
					"light": "images/light/run.svg"
				}
			},
			{
				"command": "gistpad.saveGistComment",
				"title": "Save"
			},
			{
				"command": "gistpad.saveRepositoryComment",
				"title": "Save"
			},
			{
				"command": "gistpad.signIn",
				"title": "Sign In",
				"category": "GistPad"
			},
			{
				"command": "gistpad.groupGists",
				"title": "Group Gists",
				"icon": "$(group-by-ref-type)"
			},
			{
				"command": "gistpad.ungroupGists",
				"title": "Ungroup Gists",
				"icon": "$(ungroup-by-ref-type)"
			},
			{
				"command": "gistpad.sortGistsAlphabetically",
				"title": "Sort Gists Alphabetically",
				"icon": {
					"dark": "images/dark/sort-alphabetical.svg",
					"light": "images/light/sort-alphabetical.svg"
				}
			},
			{
				"command": "gistpad.sortGistsByUpdatedTime",
				"title": "Sort Gists by Updated Time",
				"icon": {
					"dark": "images/dark/sort-time.svg",
					"light": "images/light/sort-time.svg"
				}
			},
			{
				"command": "gistpad.starGist",
				"title": "Star Gist"
			},
			{
				"command": "gistpad.starredGists",
				"title": "Starred Gists",
				"category": "GistPad"
			},
			{
				"command": "gistpad.startRepoCodeTour",
				"title": "Start CodeTour"
			},
			{
				"command": "gistpad.submitShowcaseEntry",
				"title": "Submit Entry",
				"icon": "$(megaphone)"
			},
			{
				"command": "gistpad.switchRepositoryBranch",
				"title": "Switch Branch"
			},
			{
				"command": "gistpad.closeRepository",
				"title": "Close Repository"
			},
			{
				"command": "gistpad.unfollowUser",
				"title": "Unfollow User"
			},
			{
				"command": "gistpad.unstarGist",
				"title": "Unstar Gist"
			},
			{
				"command": "gistpad.uploadFileToDirectory",
				"title": "Upload File(s)"
			},
			{
				"command": "gistpad.uploadFileToGist",
				"title": "Upload File(s)"
			},
			{
				"command": "gistpad.uploadRepositoryFile",
				"title": "Upload File(s)"
			},
			{
				"command": "gistpad.viewForks",
				"title": "View Forks"
			}
		],
		"menus": {
			"commandPalette": [
				{
					"command": "gistpad.deleteGist",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.openRepository",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.followUser",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.forkGist",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.signIn",
					"when": "gistpad:state != SignedIn"
				},
				{
					"command": "gistpad.newGistLog",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.newPlayground",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.newPublicGist",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.newSecretGist",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.newScratchNote",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.newSecretPlayground",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.refreshGists",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.refreshRepositories",
					"when": "gistpad:hasRepos"
				},
				{
					"command": "gistpad.starredGists",
					"when": "gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.addPlaygroundLibrary",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.changePlaygroundLayout",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.exportGistToCodePen",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.openPlaygroundConsole",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.openPlaygroundDeveloperTools",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.pasteGistFile",
					"when": "editorTextFocus"
				},
				{
					"command": "gistpad.runPlayground",
					"when": "gistpad:inPlayground"
				},
				{
					"command": "gistpad.addDirectoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.addFile",
					"when": "false"
				},
				{
					"command": "gistpad.addFileToGist",
					"when": "false"
				},
				{
					"command": "gistpad.addGistComment",
					"when": "false"
				},
				{
					"command": "gistpad.addRepositoryComment",
					"when": "false"
				},
				{
					"command": "gistpad.addRepositoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.addSelectionToGist",
					"when": "false"
				},
				{
					"command": "gistpad.addWikiPage",
					"when": "gistpad:state == SignIn && gistpad:hasWiki"
				},
				{
					"command": "gistpad.changeGistDescription",
					"when": "false"
				},
				{
					"command": "gistpad.clearScratchNotes",
					"when": "false"
				},
				{
					"command": "gistpad.cloneManagedRepository",
					"when": "false"
				},
				{
					"command": "gistpad.cloneRepository",
					"when": "false"
				},
				{
					"command": "gistpad.copyGistPadUrl",
					"when": "false"
				},
				{
					"command": "gistpad.copyGistUrl",
					"when": "false"
				},
				{
					"command": "gistpad.copyRepositoryFileUrl",
					"when": "false"
				},
				{
					"command": "gistpad.copyRepositoryUrl",
					"when": "false"
				},
				{
					"command": "gistpad.copyFileContents",
					"when": "false"
				},
				{
					"command": "gistpad.copyFileUrl",
					"when": "false"
				},
				{
					"command": "gistpad.deleteDirectory",
					"when": "false"
				},
				{
					"command": "gistpad.deleteFile",
					"when": "false"
				},
				{
					"command": "gistpad.deleteGistComment",
					"when": "false"
				},
				{
					"command": "gistpad.deleteRepository",
					"when": "false"
				},
				{
					"command": "gistpad.deleteRepositoryBranch",
					"when": "false"
				},
				{
					"command": "gistpad.deleteRepositoryComment",
					"when": "false"
				},
				{
					"command": "gistpad.deleteRepositoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.duplicateRepositoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.duplicateFile",
					"when": "false"
				},
				{
					"command": "gistpad.duplicateDirectory",
					"when": "false"
				},
				{
					"command": "gistpad.duplicateGist",
					"when": "false"
				},
				{
					"command": "gistpad.editGistComment",
					"when": "false"
				},
				{
					"command": "gistpad.editRepositoryComment",
					"when": "false"
				},
				{
					"command": "gistpad.exportToRepo",
					"when": "false"
				},
				{
					"command": "gistpad.exportTour",
					"when": "false"
				},
				{
					"command": "gistpad.groupGists",
					"when": "false"
				},
				{
					"command": "gistpad.hideScratchNotes",
					"when": "false"
				},
				{
					"command": "gistpad.mergeRepositoryBranch",
					"when": "false"
				},
				{
					"command": "gistpad.recordCodeTour",
					"when": "false"
				},
				{
					"command": "gistpad.recordRepoCodeTour",
					"when": "false"
				},
				{
					"command": "gistpad.starGist",
					"when": "false"
				},
				{
					"command": "gistpad.startRepoCodeTour",
					"when": "false"
				},
				{
					"command": "gistpad.openGistFile",
					"when": "false"
				},
				{
					"command": "gistpad.openGistInBlocks",
					"when": "false"
				},
				{
					"command": "gistpad.openGistInBrowser",
					"when": "false"
				},
				{
					"command": "gistpad.openGistLogFeed",
					"when": "false"
				},
				{
					"command": "gistpad.openGistInNbViewer",
					"when": "false"
				},
				{
					"command": "gistpad.openGistInGistLog",
					"when": "false"
				},
				{
					"command": "gistpad.openProfile",
					"when": "false"
				},
				{
					"command": "gistpad.openRepositoryFileInBrowser",
					"when": "false"
				},
				{
					"command": "gistpad.openRepositoryInBrowser",
					"when": "false"
				},
				{
					"command": "gistpad.openTodayPage",
					"when": "gistpad:state == SignIn && gistpad:hasWiki"
				},
				{
					"command": "gistpad.pasteImage",
					"when": "false"
				},
				{
					"command": "gistpad.renameDirectory",
					"when": "false"
				},
				{
					"command": "gistpad.renameFile",
					"when": "false"
				},
				{
					"command": "gistpad.renameRepositoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.saveGistComment",
					"when": "false"
				},
				{
					"command": "gistpad.saveRepositoryComment",
					"when": "false"
				},
				{
					"command": "gistpad.sortGistsAlphabetically",
					"when": "false"
				},
				{
					"command": "gistpad.sortGistsByUpdatedTime",
					"when": "false"
				},
				{
					"command": "gistpad.submitShowcaseEntry",
					"when": "false"
				},
				{
					"command": "gistpad.switchRepositoryBranch",
					"when": "false"
				},
				{
					"command": "gistpad.unfollowUser",
					"when": "false"
				},
				{
					"command": "gistpad.ungroupGists",
					"when": "false"
				},
				{
					"command": "gistpad.closeRepository",
					"when": "false"
				},
				{
					"command": "gistpad.unstarGist",
					"when": "false"
				},
				{
					"command": "gistpad.uploadFileToDirectory",
					"when": "false"
				},
				{
					"command": "gistpad.uploadFileToGist",
					"when": "false"
				},
				{
					"command": "gistpad.uploadRepositoryFile",
					"when": "false"
				},
				{
					"command": "gistpad.viewForks",
					"when": "false"
				}
			],
			"view/title": [
				{
					"command": "gistpad.newPublicGist",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn",
					"group": "navigation@1"
				},
				{
					"command": "gistpad.newSecretGist",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn",
					"group": "navigation@2"
				},
				{
					"command": "gistpad.sortGistsAlphabetically",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn && gistpad:sortOrder == updatedTime",
					"group": "navigation@3"
				},
				{
					"command": "gistpad.sortGistsByUpdatedTime",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn && gistpad:sortOrder == alphabetical",
					"group": "navigation@3"
				},
				{
					"command": "gistpad.groupGists",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn && gistpad:groupType == none",
					"group": "navigation@4"
				},
				{
					"command": "gistpad.ungroupGists",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn && gistpad:groupType != none",
					"group": "navigation@4"
				},
				{
					"command": "gistpad.refreshGists",
					"when": "view =~ /^gistpad.gists(.explorer)?$/ && gistpad:state == SignedIn",
					"group": "navigation@5"
				},
				{
					"command": "gistpad.openRepository",
					"when": "view == gistpad.repos",
					"group": "navigation@1"
				},
				{
					"command": "gistpad.refreshRepositories",
					"when": "view == gistpad.repos && gistpad:state == SignedIn",
					"group": "navigation@2"
				},
				{
					"command": "gistpad.submitShowcaseEntry",
					"when": "view == gistpad.showcase",
					"group": "navigation@1"
				},
				{
					"command": "gistpad.refreshShowcase",
					"when": "view == gistpad.showcase",
					"group": "navigation@2"
				}
			],
			"view/item/context": [
				{
					"command": "gistpad.newPublicGist",
					"when": "viewItem == gists",
					"group": "new@1"
				},
				{
					"command": "gistpad.newSecretGist",
					"when": "viewItem == gists",
					"group": "new@2"
				},
				{
					"command": "gistpad.newPlayground",
					"when": "viewItem == gists",
					"group": "newAdvanced@1"
				},
				{
					"command": "gistpad.newSecretPlayground",
					"when": "viewItem == gists",
					"group": "newAdvanced@2"
				},
				{
					"command": "gistpad.openGist",
					"when": "viewItem == gists",
					"group": "open@1"
				},
				{
					"command": "gistpad.openProfile",
					"when": "viewItem == gists || viewItem == followedUserGists",
					"group": "open@2"
				},
				{
					"command": "gistpad.openGistLogFeed",
					"when": "viewItem == gists",
					"group": "open@3"
				},
				{
					"command": "gistpad.openGist",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "inline@1"
				},
				{
					"command": "gistpad.openGist",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "base@1"
				},
				{
					"command": "gistpad.openGistWorkspace",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "base@2"
				},
				{
					"command": "gistpad.copyGistUrl",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "browse@1"
				},
				{
					"command": "gistpad.copyGistPadUrl",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "browse@2"
				},
				{
					"command": "gistpad.openGistInBrowser",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "browse@3"
				},
				{
					"command": "gistpad.exportGistToCodePen",
					"when": "viewItem =~ /^gists.gist.playground$/",
					"group": "browse@4"
				},
				{
					"command": "gistpad.openGistInBlocks",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist.playground.block$/",
					"group": "browse@4"
				},
				{
					"command": "gistpad.openGistInGistLog",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist$/",
					"group": "browse@4"
				},
				{
					"command": "gistpad.openGistInNbViewer",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist.notebook$/",
					"group": "browse@4"
				},
				{
					"command": "gistpad.duplicateGist",
					"when": "viewItem =~ /^gists.gist/",
					"group": "copy@1"
				},
				{
					"command": "gistpad.forkGist",
					"when": "viewItem =~ /^(starredGists|followedUser).gist/",
					"group": "copy@1"
				},
				{
					"command": "gistpad.cloneRepository",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "copy@2"
				},
				{
					"command": "gistpad.exportToRepo",
					"when": "viewItem =~ /^gists.gist/",
					"group": "copy@3"
				},
				{
					"command": "gistpad.addFile",
					"when": "viewItem =~ /^gists.gist/ || viewItem =~ /^tempGist\\./",
					"group": "manage@1"
				},
				{
					"command": "gistpad.uploadFileToGist",
					"when": "viewItem =~ /^gists.gist/ || viewItem =~ /^tempGist\\./",
					"group": "manage@2"
				},
				{
					"command": "gistpad.changeGistDescription",
					"when": "viewItem =~ /^gists.gist/",
					"group": "manage@3"
				},
				{
					"command": "gistpad.deleteGist",
					"when": "viewItem =~ /^gists.gist/",
					"group": "manage@4"
				},
				{
					"command": "gistpad.viewForks",
					"when": "viewItem =~ /^(gists|starredGists|followedUser).gist/",
					"group": "star@1"
				},
				{
					"command": "gistpad.starGist",
					"when": "viewItem =~ /^(gists|followedUser).gist/",
					"group": "star@2"
				},
				{
					"command": "gistpad.unstarGist",
					"when": "viewItem =~ /^starredGists.gist/",
					"group": "star@2"
				},
				{
					"command": "gistpad.unfollowUser",
					"when": "viewItem == followedUserGists",
					"group": "base@1"
				},
				{
					"command": "gistpad.copyFileUrl",
					"when": "viewItem =~ /^gistFile/",
					"group": "base@1"
				},
				{
					"command": "gistpad.copyFileContents",
					"when": "viewItem =~ /^gistFile/",
					"group": "base@2"
				},
				{
					"command": "gistpad.addFileToGist",
					"when": "viewItem =~ /^gistFile/",
					"group": "base@3"
				},
				{
					"command": "gistpad.renameFile",
					"when": "viewItem == gistFile.editable || viewItem =~ /^tempGistFile/",
					"group": "manage@1"
				},
				{
					"command": "gistpad.duplicateFile",
					"when": "viewItem == gistFile.editable || viewItem =~ /^tempGistFile/",
					"group": "manage@2"
				},
				{
					"command": "gistpad.deleteFile",
					"when": "viewItem == gistFile.editable || viewItem =~ /^tempGistFile/",
					"group": "manage@3"
				},
				{
					"command": "gistpad.addDirectoryFile",
					"when": "viewItem == gistDirectory.editable || viewItem =~ /^tempGistDirectory/",
					"group": "manage@1"
				},
				{
					"command": "gistpad.uploadFileToDirectory",
					"when": "viewItem == gistDirectory.editable || viewItem =~ /^tempGistDirectory/",
					"group": "manage@2"
				},
				{
					"command": "gistpad.renameDirectory",
					"when": "viewItem == gistDirectory.editable || viewItem =~ /^tempGistDirectory/",
					"group": "mutate@1"
				},
				{
					"command": "gistpad.duplicateDirectory",
					"when": "viewItem == gistDirectory.editable || viewItem =~ /^tempGistDirectory/",
					"group": "mutate@2"
				},
				{
					"command": "gistpad.deleteDirectory",
					"when": "viewItem == gistDirectory.editable || viewItem =~ /^tempGistDirectory/",
					"group": "mutate@3"
				},
				{
					"command": "gistpad.newScratchNote",
					"when": "viewItem == scratchGist",
					"group": "inline@1"
				},
				{
					"command": "gistpad.newScratchNote",
					"when": "viewItem == scratchGist",
					"group": "base@1"
				},
				{
					"command": "gistpad.clearScratchNotes",
					"when": "viewItem == scratchGist",
					"group": "manage@1"
				},
				{
					"command": "gistpad.hideScratchNotes",
					"when": "viewItem == scratchGist",
					"group": "manage@2"
				},
				{
					"command": "gistpad.copyRepositoryUrl",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch)?(.hasTours)?$/",
					"group": "browse@1"
				},
				{
					"command": "gistpad.openRepositoryInBrowser",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch)?(.hasTours)?$/",
					"group": "browse@2"
				},
				{
					"command": "gistpad.addRepositoryFile",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo(.branch|Directory)?(.hasTours)?$/",
					"group": "inline@1"
				},
				{
					"command": "gistpad.openTodayPage",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.wiki$/",
					"group": "inline@1"
				},
				{
					"command": "gistpad.addWikiPage",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.wiki(Directory)?$/",
					"group": "inline@2"
				},
				{
					"command": "gistpad.openTodayPage",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.wiki$/",
					"group": "basic@1"
				},
				{
					"command": "gistpad.addWikiPage",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.wiki(Directory)?$/",
					"group": "basic@2"
				},
				{
					"command": "gistpad.addRepositoryFile",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch|Directory)?(.hasTours)?$/",
					"group": "manage@1"
				},
				{
					"command": "gistpad.uploadRepositoryFile",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch|Directory)?(.hasTours)?$/",
					"group": "manage@2"
				},
				{
					"command": "gistpad.cloneManagedRepository",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch)?(.hasTours)?$/",
					"group": "manage@3"
				},
				{
					"command": "gistpad.switchRepositoryBranch",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo(.branch)?(.hasTours)?$/",
					"group": "manageBranch@1"
				},
				{
					"command": "gistpad.mergeRepositoryBranch",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo.branch(.hasTours)?$/",
					"group": "manageBranch@2"
				},
				{
					"command": "gistpad.deleteRepositoryBranch",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo.branch(.hasTours)?$/",
					"group": "manageBranch@3"
				},
				{
					"command": "gistpad.startRepoCodeTour",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo(.branch)?.hasTours$/",
					"group": "tour@1"
				},
				{
					"command": "gistpad.recordRepoCodeTour",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.repo(.branch)?(.hasTours)?$/",
					"group": "tour@2"
				},
				{
					"command": "gistpad.closeRepository",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch)?(.hasTours)?$/",
					"group": "unmanage@1"
				},
				{
					"command": "gistpad.deleteRepository",
					"when": "view == gistpad.repos && viewItem =~ /^gistpad.(repo|wiki)(.branch)?(.hasTours)?$/",
					"group": "unmanage@2"
				},
				{
					"command": "gistpad.copyRepositoryFileUrl",
					"when": "view == gistpad.repos && viewItem == gistpad.repoFile",
					"group": "browse@1"
				},
				{
					"command": "gistpad.openRepositoryFileInBrowser",
					"when": "view == gistpad.repos && viewItem == gistpad.repoFile",
					"group": "browse@2"
				},
				{
					"command": "gistpad.renameRepositoryFile",
					"when": "view == gistpad.repos && viewItem == gistpad.repoFile",
					"group": "manage@1"
				},
				{
					"command": "gistpad.duplicateRepositoryFile",
					"when": "view == gistpad.repos && viewItem == gistpad.repoFile",
					"group": "manage@2"
				},
				{
					"command": "gistpad.deleteRepositoryFile",
					"when": "view == gistpad.repos && viewItem == gistpad.repoFile",
					"group": "manage@3"
				},
				{
					"command": "gistpad.exportTour",
					"when": "viewItem =~ /^codetour.tour(.active)?$/",
					"group": "export@2"
				}
			],
			"explorer/context": [
				{
					"command": "gistpad.addFileToGist",
					"when": "!explorerResourceIsFolder"
				}
			],
			"editor/context": [
				{
					"command": "gistpad.addSelectionToGist"
				},
				{
					"command": "gistpad.pasteGistFile"
				},
				{
					"command": "gistpad.pasteImage",
					"when": "resourceScheme == repo && resourceLangId == markdown"
				},
				{
					"command": "gistpad.pasteImage",
					"when": "resourceScheme == gist && resourceLangId == markdown"
				},
				{
					"command": "gistpad.pasteImage",
					"when": "resourceScheme == gist && resourceLangId == html"
				},
				{
					"command": "gistpad.pasteImage",
					"when": "resourceScheme == gist && resourceLangId == jade"
				}
			],
			"editor/title": [
				{
					"command": "gistpad.runPlayground",
					"when": "gistpad:inPlayground",
					"group": "navigation@1"
				},
				{
					"command": "gistpad.openPlaygroundConsole",
					"when": "gistpad:inPlayground",
					"group": "navigation@2"
				},
				{
					"command": "gistpad.changePlaygroundLayout",
					"when": "gistpad:inPlayground",
					"group": "navigation@3"
				},
				{
					"command": "gistpad.addPlaygroundLibrary",
					"when": "gistpad:inPlayground",
					"group": "navigation@4"
				},
				{
					"command": "gistpad.openPlaygroundDeveloperTools",
					"when": "gistpad:inPlayground",
					"group": "navigation@5"
				},
				{
					"command": "gistpad.renameFile",
					"when": "resourceScheme == gist"
				},
				{
					"command": "gistpad.deleteFile",
					"when": "resourceScheme == gist"
				},
				{
					"command": "gistpad.recordCodeTour",
					"when": "gistpad:inPlayground && gistpad:allowCodeTourRecording",
					"group": "codetour@1"
				},
				{
					"command": "gistpad.renameRepositoryFile",
					"when": "resourceScheme == repo"
				}
			],
			"editor/title/context": [
				{
					"command": "gistpad.addFileToGist"
				},
				{
					"command": "gistpad.copyFileUrl",
					"when": "resourceScheme == gist"
				},
				{
					"command": "gistpad.copyRepositoryFileUrl",
					"when": "resourceScheme == repo"
				}
			],
			"comments/comment/title": [
				{
					"command": "gistpad.editGistComment",
					"group": "group@1",
					"when": "commentController == gistpad && comment == canEdit"
				},
				{
					"command": "gistpad.deleteGistComment",
					"group": "group@2",
					"when": "commentController == gistpad && comment == canEdit"
				},
				{
					"command": "gistpad.editRepositoryComment",
					"group": "group@1",
					"when": "commentController == gistpad:repo && comment == canEdit"
				},
				{
					"command": "gistpad.deleteRepositoryComment",
					"group": "group@2",
					"when": "commentController == gistpad:repo && comment == canEdit"
				}
			],
			"comments/comment/context": [
				{
					"command": "gistpad.saveGistComment",
					"group": "inline@2",
					"when": "commentController == gistpad"
				},
				{
					"command": "gistpad.saveRepositoryComment",
					"group": "inline@2",
					"when": "commentController == gistpad:repo"
				}
			],
			"comments/commentThread/context": [
				{
					"command": "gistpad.addGistComment",
					"group": "inline",
					"when": "commentController == gistpad && commentThreadIsEmpty && gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.replyGistComment",
					"group": "inline",
					"when": "commentController == gistpad && !commentThreadIsEmpty && gistpad:state == SignedIn"
				},
				{
					"command": "gistpad.addRepositoryComment",
					"group": "inline",
					"when": "commentController == gistpad:repo && commentThreadIsEmpty && gistpad:state == SignedIn"
				}
			]
		},
		"viewsContainers": {
			"activitybar": [
				{
					"id": "gistpad",
					"title": "GistPad",
					"icon": "images/icon-activity.svg"
				}
			]
		},
		"views": {
			"gistpad": [
				{
					"id": "gistpad.gists",
					"name": "Gists"
				},
				{
					"id": "gistpad.repos",
					"name": "Repositories"
				},
				{
					"id": "gistpad.activeGist",
					"name": "Playground",
					"when": "gistpad:inPlayground"
				},
				{
					"id": "gistpad.showcase",
					"name": "Showcase",
					"visibility": "collapsed"
				}
			]
		},
		"viewsWelcome": [
			{
				"view": "gistpad.gists",
				"contents": "Open any GitHub Gist (by URL or ID), and/or create new [interactive playgrounds](https://github.com/vsls-contrib/gistpad#playgrounds).\n\n[$(folder-opened) Open Gist](command:gistpad.openGist)\n\n[$(new-file) New Playground](command:gistpad.newPlayground)\n\nManage your gists, by signing in with a GitHub account.\n\n[$(github-inverted) Sign In](command:gistpad.signIn)"
			},
			{
				"view": "gistpad.repos",
				"contents": "Browse GitHub repos, without needing to locally clone files ([Learn More](https://github.com/vsls-contrib/gistpad#repositories)).\n\n[$(folder-opened) Open Repository](command:gistpad.openRepository)\n\nYou can also edit your repos and wikis, by signing in with a GitHub account ([Learn More](https://github.com/vsls-contrib/gistpad#wikis)).\n\n[$(github-inverted) Sign In](command:gistpad.signIn)",
				"when": "gistpad:state != SignedIn"
			},
			{
				"view": "gistpad.repos",
				"contents": "Open one of your GitHub repos in order to start remotely browsing and editing files ([Learn More](https://github.com/vsls-contrib/gistpad#repositories)).\n\n[$(folder-opened) Open Repository](command:gistpad.openRepository)",
				"when": "gistpad:state == SignedIn"
			}
		],
		"jsonValidation": [
			{
				"fileMatch": "playground.json",
				"url": "https://gist.githubusercontent.com/lostintangent/21727eab0d79c7b9fd0dde92df7b1f50/raw/schema.json"
			},
			{
				"fileMatch": "gallery.json",
				"url": "https://gist.githubusercontent.com/lostintangent/091c0eec1f6443b526566d1cd3a85294/raw/schema.json"
			},
			{
				"fileMatch": "showcase.json",
				"url": "https://gist.githubusercontent.com/lostintangent/5290f684afc38cfe713246226c1d0f72/raw/schema.json"
			}
		],
		"languages": [
			{
				"id": "typescriptreact",
				"filenames": [
					"script.babel"
				]
			},
			{
				"id": "yaml",
				"filenames": [
					".block"
				]
			}
		],
		"gistpad.playgrounds.templateGalleries": [
			{
				"id": "web:basic",
				"url": "https://gist.githubusercontent.com/lostintangent/5b8d7f1319cdf0321a6c3aeffa909876/raw/gallery.json"
			},
			{
				"id": "web:languages",
				"url": "https://gist.githubusercontent.com/lostintangent/2c8209b16b9c3a6e20facb430d5424bc/raw/gallery.json"
			},
			{
				"id": "web:libraries",
				"url": "https://gist.githubusercontent.com/lostintangent/ece303a6b8c7cbf0293b850b600e3cb6/raw/gallery.json"
			},
			{
				"id": "web:blocks",
				"url": "https://gist.githubusercontent.com/lostintangent/0c40492c59d607862ec9acfd17a980a1/raw/gallery.json"
			}
		],
		"markdown.markdownItPlugins": true
	},
	"scripts": {
		"build:browser": "webpack --config ./webpack/webpack.browser.config.js",
		"build:node": "webpack --config ./webpack/webpack.node.config.js",
		"compile": "tsc -p ./",
		"package": "vsce package",
		"vscode:prepublish": "npm run build:node",
		"watch": "webpack --mode=development --watch --progress --config ./webpack/webpack.node.config.js"
	},
	"extensionPack": [
		"bierner.emojisense",
		"bierner.markdown-checkbox"
	],
	"dependencies": {
		"@types/debounce": "^1.2.0",
		"@types/less": "^3.0.1",
		"@types/moment": "^2.13.0",
		"@types/pug": "^2.0.4",
		"@types/sass": "^1.16.0",
		"axios": "^0.19.0",
		"case": "^1.6.2",
		"debounce": "^1.2.0",
		"diff-match-patch": "^1.0.5",
		"gists": "github:lostintangent/gists",
		"github-base": "^1.0.0",
		"is-binary-path": "^2.1.0",
		"less": "^3.10.3",
		"markdown-it": "^10.0.0",
		"markdown-it-regex": "^0.2.0",
		"mobx": "^5.14.2",
		"moment": "^2.24.0",
		"pug": "^2.0.4",
		"rxjs": "^6.5.4",
		"sass": "^1.24.0",
		"simple-git": "^1.126.0",
		"title-case": "^3.0.2"
	},
	"devDependencies": {
		"@types/keytar": "^4.4.2",
		"@types/node": "^8.10.25",
		"@types/vscode": "^1.48.0",
		"copy-webpack-plugin": "^5.0.5",
		"ts-loader": "^6.2.1",
		"tslint": "^5.8.0",
		"typescript": "^3.7.3",
		"vsce": "^1.81.1",
		"vscode-nls-dev": "^3.3.1",
		"webpack": "^4.41.2",
		"webpack-cli": "^3.3.10",
		"webpack-merge": "^4.2.2"
	},
	"__metadata": {
		"id": "0cfb9d1d-3e59-4c36-a597-157b54e4442b",
		"publisherId": "03b54342-c642-4e41-b84d-6a2222e2b060",
		"publisherDisplayName": "Live Share Contrib"
	}
}